Bug 217223 - databases/sqlite3: Update to 3.17.0
Summary: databases/sqlite3: Update to 3.17.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kirill Ponomarev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-19 09:23 UTC by Pavel Volkov
Modified: 2017-03-07 18:28 UTC (History)
1 user (show)

See Also:


Attachments
Update Port: databases/sqlite3 to 3.17.0 (2.06 KB, patch)
2017-02-19 09:23 UTC, Pavel Volkov
pavelivolkov: maintainer-approval+
Details | Diff
poudriere log (28.52 KB, text/plain)
2017-02-19 09:25 UTC, Pavel Volkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Volkov 2017-02-19 09:23:25 UTC
Created attachment 180134 [details]
Update Port: databases/sqlite3 to 3.17.0

Hello.
Upgrade SQLite to version 3.17.0,
add option SQLITE_ENABLE_NULL_TRIM.
Comment 1 Pavel Volkov 2017-02-19 09:25:06 UTC
Created attachment 180135 [details]
poudriere log
Comment 2 Kirill Ponomarev freebsd_committer 2017-02-19 11:43:52 UTC
Take.
Comment 3 commit-hook freebsd_committer 2017-02-21 14:33:40 UTC
A commit references this bug:

Author: krion
Date: Tue Feb 21 14:33:28 UTC 2017
New revision: 434531
URL: https://svnweb.freebsd.org/changeset/ports/434531

Log:
  Update databases/sqlite3 to 3.17.0

  PR:		217223
  Submitted by:	maintainer
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9669

Changes:
  head/databases/sqlite3/Makefile
  head/databases/sqlite3/distinfo
Comment 4 commit-hook freebsd_committer 2017-03-07 18:28:28 UTC
A commit references this bug:

Author: jbeich
Date: Tue Mar  7 18:27:36 UTC 2017
New revision: 435633
URL: https://svnweb.freebsd.org/changeset/ports/435633

Log:
  MFH: r431637 + r431638 by amdmi3, r434531 + r434533 by krion

  databases/{,tcl-}sqlite3: update to 3.17.0

  PR:		216107 216108 217223 217224
  Submitted by:	pavelivolkov@gmail.com (maintainer)
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/databases/sqlite3/Makefile
  branches/2017Q1/databases/sqlite3/distinfo
  branches/2017Q1/databases/tcl-sqlite3/Makefile
  branches/2017Q1/databases/tcl-sqlite3/distinfo